diff --git a/lib/app/modules/donatur/views/donatur_dashboard_view.dart b/lib/app/modules/donatur/views/donatur_dashboard_view.dart
index 87997f3..84bbc9e 100644
--- a/lib/app/modules/donatur/views/donatur_dashboard_view.dart
+++ b/lib/app/modules/donatur/views/donatur_dashboard_view.dart
@@ -36,54 +36,6 @@ class DonaturDashboardView extends GetView<DonaturDashboardController> {
             child: Column(
               crossAxisAlignment: CrossAxisAlignment.start,
               children: [
-                // Header DisalurKita dengan logo dan slogan
-                Container(
-                  padding: const EdgeInsets.all(16),
-                  margin: const EdgeInsets.only(bottom: 16),
-                  decoration: BoxDecoration(
-                    color: Colors.white,
-                    borderRadius: BorderRadius.circular(15),
-                    boxShadow: [
-                      BoxShadow(
-                        color: Colors.blue.withOpacity(0.1),
-                        blurRadius: 10,
-                        offset: const Offset(0, 4),
-                      ),
-                    ],
-                  ),
-                  child: Row(
-                    children: [
-                      Image.asset(
-                        'assets/images/logo-disalurkita.png',
-                        width: 50,
-                        height: 50,
-                      ),
-                      const SizedBox(width: 15),
-                      const Column(
-                        crossAxisAlignment: CrossAxisAlignment.start,
-                        children: [
-                          Text(
-                            'DisalurKita',
-                            style: TextStyle(
-                              fontSize: 20,
-                              fontWeight: FontWeight.bold,
-                              color: Color(0xFF1565C0),
-                            ),
-                          ),
-                          SizedBox(height: 5),
-                          Text(
-                            'Salurkan dengan Pasti, Pantau dengan Bukti',
-                            style: TextStyle(
-                              fontSize: 12,
-                              color: Colors.grey,
-                              fontWeight: FontWeight.w500,
-                            ),
-                          ),
-                        ],
-                      ),
-                    ],
-                  ),
-                ),
                 _buildWelcomeSection(),
                 const SizedBox(height: 24),
                 _buildStatisticSection(),
@@ -242,29 +194,14 @@ class DonaturDashboardView extends GetView<DonaturDashboardController> {
                 ),
               ),
               const SizedBox(height: 16),
-              Row(
-                children: [
-                  Expanded(
-                    child: _buildActionButton(
-                      icon: Icons.edit_rounded,
-                      label: 'Edit Profil',
-                      color: Colors.blue.shade700,
-                      onTap: () => Get.toNamed(Routes.profile),
-                    ),
-                  ),
-                  const SizedBox(width: 10),
-                  Expanded(
-                    child: _buildActionButton(
-                      icon: Icons.add_box_rounded,
-                      label: 'Titip Bantuan',
-                      color: Colors.green.shade700,
-                      onTap: () {
-                        // Navigasi ke form penitipan bantuan
-                        controller.activeTabIndex.value = 3;
-                      },
-                    ),
-                  ),
-                ],
+              _buildActionButton(
+                icon: Icons.add_box_rounded,
+                label: 'Titip Bantuan',
+                color: Colors.green.shade700,
+                onTap: () {
+                  // Navigasi ke form penitipan bantuan
+                  controller.activeTabIndex.value = 3;
+                },
               ),
             ],
           ),
diff --git a/lib/app/modules/donatur/views/donatur_penitipan_view.dart b/lib/app/modules/donatur/views/donatur_penitipan_view.dart
index a07031a..d6f79b2 100644
--- a/lib/app/modules/donatur/views/donatur_penitipan_view.dart
+++ b/lib/app/modules/donatur/views/donatur_penitipan_view.dart
@@ -661,7 +661,8 @@ class _FormPenitipanBantuanState extends State<FormPenitipanBantuan> {
                       children: [
                         Expanded(
                           child: _buildInfoItem(
-                            icon: isUang ? Icons.attach_money : Icons.category,
+                            icon:
+                                isUang ? Icons.payment_rounded : Icons.category,
                             label: 'Jenis Bantuan',
                             value: stokNama,
                             iconColor: isUang
@@ -944,7 +945,8 @@ class _FormPenitipanBantuanState extends State<FormPenitipanBantuan> {
                       children: [
                         Expanded(
                           child: _buildInfoItem(
-                            icon: isUang ? Icons.attach_money : Icons.category,
+                            icon:
+                                isUang ? Icons.payment_rounded : Icons.category,
                             label: 'Jenis Bantuan',
                             value: stokNama,
                             iconColor: isUang
@@ -1042,7 +1044,7 @@ class _FormPenitipanBantuanState extends State<FormPenitipanBantuan> {
           children: [
             Icon(
                 // Tampilkan ikon uang jika stok bantuan berbentuk uang
-                isUang ? Icons.attach_money : Icons.numbers,
+                isUang ? Icons.payment_rounded : Icons.numbers,
                 color: Colors.grey.shade700),
             const SizedBox(width: 8),
             Text(
@@ -1660,7 +1662,7 @@ class _FormPenitipanBantuanState extends State<FormPenitipanBantuan> {
                     const Divider(),
                     _buildDetailRow(
                       icon: isUangBantuan
-                          ? Icons.attach_money
+                          ? Icons.payment_rounded
                           : Icons.shopping_bag,
                       label: 'Jumlah',
                       value: jumlahBantuan + (isUangBantuan ? '' : ' item'),
diff --git a/lib/app/modules/donatur/views/donatur_view.dart b/lib/app/modules/donatur/views/donatur_view.dart
index c3e6fd1..c951c86 100644
--- a/lib/app/modules/donatur/views/donatur_view.dart
+++ b/lib/app/modules/donatur/views/donatur_view.dart
@@ -8,6 +8,7 @@ import 'package:penyaluran_app/app/modules/donatur/views/donatur_laporan_view.da
 import 'package:penyaluran_app/app/modules/donatur/views/donatur_penitipan_view.dart';
 import 'package:penyaluran_app/app/modules/donatur/views/donatur_riwayat_penitipan_view.dart';
 import 'package:penyaluran_app/app/widgets/app_bottom_navigation_bar.dart';
+import 'package:penyaluran_app/app/widgets/app_drawer.dart';
 import 'package:penyaluran_app/app/theme/app_theme.dart';
 
 class DonaturView extends GetView<DonaturDashboardController> {
@@ -166,301 +167,93 @@ class DonaturView extends GetView<DonaturDashboardController> {
   }
 
   Widget _buildDrawer(BuildContext context) {
-    return Drawer(
-      child: Column(
-        children: [
-          Container(
-            decoration: BoxDecoration(
-              gradient: AppTheme.primaryGradient,
-            ),
-            padding: EdgeInsets.only(
-                top: MediaQuery.of(context).padding.top + 16,
-                bottom: 24,
-                left: 16,
-                right: 16),
-            width: double.infinity,
-            child: Column(
-              crossAxisAlignment: CrossAxisAlignment.start,
-              children: [
-                Container(
-                  decoration: BoxDecoration(
-                    shape: BoxShape.circle,
-                    border: Border.all(color: Colors.white, width: 2),
-                    boxShadow: [
-                      BoxShadow(
-                        color: Colors.black.withOpacity(0.2),
-                        blurRadius: 10,
-                        offset: const Offset(0, 5),
-                      ),
-                    ],
-                  ),
-                  child: CircleAvatar(
-                    radius: 40,
-                    backgroundColor: Colors.white70,
-                    backgroundImage: controller.profilePhotoUrl != null &&
-                            controller.profilePhotoUrl!.isNotEmpty
-                        ? NetworkImage(controller.profilePhotoUrl!)
-                        : null,
-                    child: (controller.profilePhotoUrl == null ||
-                            controller.profilePhotoUrl!.isEmpty)
-                        ? Text(
-                            controller.nama.isNotEmpty
-                                ? controller.nama
-                                    .toString()
-                                    .substring(0, 1)
-                                    .toUpperCase()
-                                : '?',
-                            style: TextStyle(
-                              fontWeight: FontWeight.bold,
-                              color: Colors.blue.shade700,
-                              fontSize: 24,
-                            ),
-                          )
-                        : null,
-                  ),
-                ),
-                const SizedBox(height: 16),
-                const Text(
-                  'Halo,',
-                  style: TextStyle(
-                    color: Colors.white70,
-                    fontSize: 16,
-                  ),
-                ),
-                Text(
-                  controller.nama,
-                  style: const TextStyle(
-                    color: Colors.white,
-                    fontWeight: FontWeight.bold,
-                    fontSize: 22,
-                  ),
-                  overflow: TextOverflow.ellipsis,
-                  maxLines: 2,
-                ),
-                const SizedBox(height: 4),
-                Row(
-                  mainAxisSize: MainAxisSize.min,
-                  children: [
-                    Container(
-                      padding: const EdgeInsets.symmetric(
-                          horizontal: 8, vertical: 4),
-                      decoration: BoxDecoration(
-                        color: Colors.white.withOpacity(0.2),
-                        borderRadius: BorderRadius.circular(20),
-                      ),
-                      child: const Text(
-                        'Donatur',
-                        style: TextStyle(
-                          color: Colors.white,
-                          fontSize: 12,
-                        ),
-                      ),
-                    ),
-                    const SizedBox(width: 8),
-                    Container(
-                      padding: const EdgeInsets.symmetric(
-                          horizontal: 8, vertical: 4),
-                      decoration: BoxDecoration(
-                        color: Colors.white.withOpacity(0.2),
-                        borderRadius: BorderRadius.circular(20),
-                      ),
-                      child: Row(
-                        mainAxisSize: MainAxisSize.min,
-                        children: [
-                          const Icon(
-                            Icons.location_on,
-                            color: Colors.white,
-                            size: 14,
-                          ),
-                          const SizedBox(width: 4),
-                          Text(
-                            controller.desa ?? 'Tidak ada desa',
-                            style: const TextStyle(
-                              color: Colors.white,
-                              fontSize: 12,
-                            ),
-                          ),
-                        ],
-                      ),
-                    ),
-                  ],
-                ),
-              ],
-            ),
+    return Obx(() {
+      Map<String, List<DrawerMenuItem>> menuCategories = {
+        'Menu Utama': [
+          DrawerMenuItem(
+            icon: Icons.dashboard_outlined,
+            activeIcon: Icons.dashboard,
+            title: 'Dashboard',
+            isSelected: controller.activeTabIndex.value == 0,
+            onTap: () {
+              controller.activeTabIndex.value = 0;
+            },
           ),
-          Expanded(
-            child: ListView(
-              padding: EdgeInsets.zero,
-              children: [
-                _buildMenuCategory('Menu Utama'),
-                Obx(() => _buildMenuItem(
-                      icon: Icons.dashboard_outlined,
-                      activeIcon: Icons.dashboard,
-                      title: 'Dashboard',
-                      isSelected: controller.activeTabIndex.value == 0,
-                      onTap: () {
-                        Navigator.pop(context);
-                        controller.activeTabIndex.value = 0;
-                      },
-                    )),
-                Obx(() => _buildMenuItem(
-                      icon: Icons.description_outlined,
-                      activeIcon: Icons.description,
-                      title: 'Skema Bantuan',
-                      isSelected: controller.activeTabIndex.value == 1,
-                      onTap: () {
-                        Navigator.pop(context);
-                        controller.activeTabIndex.value = 1;
-                      },
-                    )),
-                Obx(() => _buildMenuItem(
-                      icon: Icons.calendar_today_outlined,
-                      activeIcon: Icons.calendar_today,
-                      title: 'Jadwal Penyaluran',
-                      isSelected: controller.activeTabIndex.value == 2,
-                      onTap: () {
-                        Navigator.pop(context);
-                        controller.activeTabIndex.value = 2;
-                      },
-                    )),
-                Obx(() => _buildMenuItem(
-                      icon: Icons.add_box_outlined,
-                      activeIcon: Icons.add_box,
-                      title: 'Penitipan Bantuan',
-                      isSelected: controller.activeTabIndex.value == 3,
-                      onTap: () {
-                        Navigator.pop(context);
-                        controller.activeTabIndex.value = 3;
-                      },
-                    )),
-                Obx(() => _buildMenuItem(
-                      icon: Icons.assignment_outlined,
-                      activeIcon: Icons.assignment,
-                      title: 'Laporan Penyaluran',
-                      isSelected: controller.activeTabIndex.value == 4,
-                      onTap: () {
-                        Navigator.pop(context);
-                        controller.activeTabIndex.value = 4;
-                      },
-                    )),
-                _buildMenuCategory('Pengaturan'),
-                _buildMenuItem(
-                  icon: Icons.person_outline,
-                  activeIcon: Icons.person,
-                  title: 'Profil',
-                  onTap: () {
-                    Navigator.pop(context);
-                    Get.toNamed('/profile');
-                  },
-                ),
-                _buildMenuItem(
-                  icon: Icons.info_outline,
-                  activeIcon: Icons.info,
-                  title: 'Tentang Kami',
-                  onTap: () {
-                    Navigator.pop(context);
-                    Get.toNamed('/about');
-                  },
-                ),
-                _buildMenuItem(
-                  icon: Icons.logout,
-                  title: 'Keluar',
-                  onTap: () {
-                    Navigator.pop(context);
-                    controller.logout();
-                  },
-                  isLogout: true,
-                ),
-              ],
-            ),
+          DrawerMenuItem(
+            icon: Icons.description_outlined,
+            activeIcon: Icons.description,
+            title: 'Skema Bantuan',
+            isSelected: controller.activeTabIndex.value == 1,
+            onTap: () {
+              controller.activeTabIndex.value = 1;
+            },
           ),
-          Padding(
-            padding: const EdgeInsets.symmetric(horizontal: 16, vertical: 8),
-            child: Text(
-              'Â© ${DateTime.now().year} DisalurKita',
-              style: TextStyle(
-                fontSize: 12,
-                color: Colors.grey,
-              ),
-              textAlign: TextAlign.center,
-            ),
+          DrawerMenuItem(
+            icon: Icons.calendar_today_outlined,
+            activeIcon: Icons.calendar_today,
+            title: 'Jadwal Penyaluran',
+            isSelected: controller.activeTabIndex.value == 2,
+            onTap: () {
+              controller.activeTabIndex.value = 2;
+            },
+          ),
+          DrawerMenuItem(
+            icon: Icons.add_box_outlined,
+            activeIcon: Icons.add_box,
+            title: 'Penitipan Bantuan',
+            isSelected: controller.activeTabIndex.value == 3,
+            onTap: () {
+              controller.activeTabIndex.value = 3;
+            },
+          ),
+          DrawerMenuItem(
+            icon: Icons.assignment_outlined,
+            activeIcon: Icons.assignment,
+            title: 'Laporan Penyaluran',
+            isSelected: controller.activeTabIndex.value == 4,
+            onTap: () {
+              controller.activeTabIndex.value = 4;
+            },
           ),
         ],
-      ),
-    );
-  }
-
-  Widget _buildMenuCategory(String title) {
-    return Padding(
-      padding: const EdgeInsets.only(left: 16, right: 16, top: 16, bottom: 8),
-      child: Text(
-        title,
-        style: TextStyle(
-          fontSize: 12,
-          fontWeight: FontWeight.bold,
-          color: Colors.grey[600],
-        ),
-      ),
-    );
-  }
-
-  Widget _buildMenuItem({
-    required IconData icon,
-    IconData? activeIcon,
-    required String title,
-    bool isSelected = false,
-    String? badge,
-    required Function() onTap,
-    bool isLogout = false,
-  }) {
-    return AnimatedContainer(
-      duration: const Duration(milliseconds: 200),
-      decoration: BoxDecoration(
-        color: isSelected
-            ? AppTheme.primaryColor.withOpacity(0.1)
-            : Colors.transparent,
-        borderRadius: BorderRadius.circular(8),
-      ),
-      margin: const EdgeInsets.symmetric(horizontal: 8, vertical: 2),
-      child: ListTile(
-        leading: Icon(
-          isSelected ? (activeIcon ?? icon) : icon,
-          color: isSelected
-              ? AppTheme.primaryColor
-              : (isLogout ? Colors.red : null),
-        ),
-        title: Text(
-          title,
-          style: TextStyle(
-            color: isSelected
-                ? AppTheme.primaryColor
-                : (isLogout ? Colors.red : null),
-            fontWeight: isSelected ? FontWeight.bold : null,
+        'Pengaturan': [
+          DrawerMenuItem(
+            icon: Icons.person_outline,
+            activeIcon: Icons.person,
+            title: 'Profil',
+            onTap: () {
+              Get.toNamed('/profile');
+            },
           ),
-        ),
-        trailing: badge != null
-            ? Container(
-                padding: const EdgeInsets.symmetric(horizontal: 6, vertical: 2),
-                decoration: BoxDecoration(
-                  color: Colors.orange,
-                  borderRadius: BorderRadius.circular(10),
-                ),
-                constraints: const BoxConstraints(
-                  minWidth: 20,
-                  minHeight: 20,
-                ),
-                child: Text(
-                  badge,
-                  style: const TextStyle(
-                    color: Colors.white,
-                    fontSize: 12,
-                  ),
-                  textAlign: TextAlign.center,
-                ),
-              )
-            : null,
-        onTap: onTap,
-      ),
-    );
+          DrawerMenuItem(
+            icon: Icons.info_outline,
+            activeIcon: Icons.info,
+            title: 'Tentang Kami',
+            onTap: () {
+              Get.toNamed('/about');
+            },
+          ),
+          DrawerMenuItem(
+            icon: Icons.logout,
+            title: 'Keluar',
+            isLogout: true,
+            onTap: () {
+              controller.logout();
+            },
+          ),
+        ],
+      };
+
+      return AppDrawer(
+        nama: controller.nama,
+        role: 'Donatur',
+        desa: controller.desa,
+        avatar: controller.profilePhotoUrl,
+        menuItems: const [], // Tidak digunakan karena menggunakan menuCategories
+        menuCategories: menuCategories,
+        onLogout: controller.logout,
+        footerText: 'Â© ${DateTime.now().year} DisalurKita',
+      );
+    });
   }
 }
